# Namespace KRandom

Module | kdecore
Namespace | KRandom

\headerfile krandom.h <KRandom>

Helper class to create random data

This namespace provides methods which generate random data.

### methods

- random ( )

  returns int

  Generates a uniform random number. Returns A random number in the range [0, RAND_MAX). The RNG is seeded on first use.

- randomString (length)

  returns QString

  Argument | Type | Default
  --- | --- | ---
  length | int |

  Generates a random string. It operates in the range [A-Za-z0-9]

  length - Generate a string of this length. Returns the random string